Subject: [bug#77653] [PATCH 0/4] Add WASM toolchain, wasi-libc, and browser WASM sandbox support

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 29 Apr 2025 10:24:45 +0900

Hi,

Ian Eure <[email-masked]> writes:

> Hi Maxim, Z572,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi Ian,
>>
>>
>> Thanks for picking it up!  Nice series.  I've left a few hopefully
>> useful comments.  Could you please prepare a v2 taking them into
>> account?
>
> Sorry about the delay on this.  I appreciate the feedback and have a
> v2 in decent shape that incorporates nearly all the feedback from the
> two of you.
>
> Unfortunately, this work is currently blocked due to unclear licensing
> of the WASI specification, which wasi-libc includes a copy of via Git

WASI specification sounds like non-functional data more than code,
right?  If that's correct, then it shouldn't be an impediment to having
this merged in GNU Guix (though of course having this licensing issue
fixed upstream would be nice), as the GNU FSDG has an exception for
non-functional data, as long as is freely distributable.  See the
'Non-functional Data' paragraph, specifically:

> It can be included in a free system distribution as long as its
> license gives you permission to copy and redistribute, both for
> commercial and non-commercial purposes.

-- 
Thanks,
Maxim